Qt 5.6 | Qt 3D | C++ Classes | QShaderData

Qt 5.6.3 Reference Documentation

# QShaderData Class

(Qt3DRender::QShaderData)

Provides a way of specifying values of a Uniform Block or a shader structure. More...

Header: | #include <QShaderData>
qmake: | QT += 3drender
Since: | Qt 5.5
Inherits: | Qt3DCore::QComponent
Inherited By: | Qt3DRender::QLight

- List of all members, including inherited members

## Public Types

enum | TransformType { ModelToEye, ModelToWorld }

## Public Functions

| QShaderData(Qt3DCore::QNode *parent = Q_NULLPTR)
| ~QShaderData()
PropertyReaderInterfacePtr | propertyReader() const

- 2 public functions inherited from Qt3DCore::QComponent
- 6 public functions inherited from Qt3DCore::QNode

## Protected Functions

| QShaderData(QShaderDataPrivate &dd, Qt3DCore::QNode *parent = Q_NULLPTR)
void | copy(const Qt3DCore::QNode *ref)

- 1 protected function inherited from Qt3DCore::QComponent
- 3 protected functions inherited from Qt3DCore::QNode

### Additional Inherited Members

- 1 property inherited from Qt3DCore::QComponent
- 2 properties inherited from Qt3DCore::QNode
- 1 public slot inherited from Qt3DCore::QComponent
- 2 public slots inherited from Qt3DCore::QNode
- 2 signals inherited from Qt3DCore::QComponent
- 2 signals inherited from Qt3DCore::QNode
- 1 static protected member inherited from Qt3DCore::QNode

## Detailed Description

Provides a way of specifying values of a Uniform Block or a shader structure.

Note: When subclassing and adding properties to QShaderData, note that if you need to nest an inner Qt3DRender::QShaderData, the data type of the property should be Qt3DRender::QShaderData* instead of the name of your subclass.

## Member Type Documentation

### enum QShaderData::TransformType

## Member Function Documentation

### QShaderData::QShaderData(Qt3DCore::QNode *parent = Q_NULLPTR)

Default constructs an instance of QShaderData.

### `[protected]` QShaderData::QShaderData(QShaderDataPrivate &dd, Qt3DCore::QNode *parent = Q_NULLPTR)

Copy constructor.

### QShaderData::~QShaderData()

Destroys the instance of QShaderData.

### `[protected]` void QShaderData::copy(const Qt3DCore::QNode *ref)

### PropertyReaderInterfacePtr QShaderData::propertyReader() const